main {
    width: var(--all-width);
    margin: 0 auto;
}

main img {
    height: 100%;
    position: absolute;
    top: 0;
}

main h3 {
    font-size: 28px;
    color: #48007a;
    margin-bottom: 2%;
    text-align: center;
}

main .big-box {
    display: flex;
    flex-wrap: wrap;
}

.hot-box {
    position: relative;
    background-color: #fff;
    box-shadow: 0 0 10px #0002;
    border-radius: 5px;
}

.hot-box .img-box {
    width: 53%;
    border-radius: 50%;
    overflow: hidden;
    margin: -25% auto 0;
    box-shadow: 0 5px 10px #0005;
    transition: .4s;
}

.hot-box:hover .img-box {
    transform: translateY(10%);
    box-shadow: 0 0px 10px #0005;
}

.hot-box .img-box::before {
    content: '';
    padding-top: 100%;
    display: block;
    margin: 0 auto;
}

.hot-box .text-box {
    margin-top: 5%;
    color: #48007a;
    display: flex;
}

.hot-box .text-box span {
    width: 90%;
    margin: 20px auto;
    font-size: 20px;
    text-align: center;
    font-weight: 700;
}

.big-box[data-type=hot] {
    padding-top: 5%;
}

.game-box {
    border-radius: 10px;
    overflow: hidden;
}

.game-box .img-box::before {
    content: '';
    padding-top: 46%;
    display: block;
}

.game-box .text-box {
    padding: 20px 10px;
    display: flex;
    flex-direction: column;
    row-gap: 15px;
    color: #48007a;
    background-color: #fff;
    font-size: 22px;
    font-weight: 700;
    min-height: 136px;
}

.game-box .text-box .type span {
    font-size: 12px;
}

@media (min-width:800px) {
    .hot-box {
        width: calc((100% - 8%)/5);
        margin-right: 2%;
        margin-bottom: 8%;
    }

    .hot-box:nth-of-type(5n) {
        margin-right: 0;
    }

    .game-box {
        width: calc((100% - 6%)/4);
        margin-right: 2%;
        margin-bottom: 4%;
    }

    .game-box:nth-of-type(4n) {
        margin-right: 0;
    }
}

@media (max-width:799px) {
    .hot-box {
        width: calc((100% - 2%)/2);
        margin-right: 2%;
        margin-bottom: 16%;
    }

    .hot-box:nth-of-type(2n) {
        margin-right: 0;
    }

    .big-box[data-type=hot] {
        padding-top: 20%;
    }

    .game-box {
        width: calc((100% - 2%)/2);
        margin-right: 2%;
        margin-bottom: 4%;
    }

    .game-box:nth-of-type(2n) {
        margin-right: 0;
    }

    .game-box .text-box>span {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
    }
}